### Enumeration

# Camel AuthenticationResult

since: 3.4

#### Declaration

    enum Camel.AuthenticationResult

#### Description [src]

Authentication result codes used by `CamelService`.

Available since: 3.4

#### Members

`CAMEL_AUTHENTICATION_ERROR`

  An error occurred while authenticating.

  - Value: `0`
  - Available since: 3.4
`CAMEL_AUTHENTICATION_ACCEPTED`

  Server accepted our authentication attempt.

  - Value: `1`
  - Available since: 3.4
`CAMEL_AUTHENTICATION_REJECTED`

  Server rejected our authentication attempt.

  - Value: `2`
  - Available since: 3.4